Loading...
Searching...
No Matches
FFTAverageMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Member Functions

| FFTAverageMenu (QWidget *parent)
| ~FFTAverageMenu () override
Public Member Functions inherited from AverageMenu
| AverageMenu (const std::string &menuTitle, QWidget *parent)
| ~AverageMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)
QAction * | getActionFromAvg (float avg)
void | setHigh (float x)
void | setMedium (float x)
void | setLow (float x)

## Additional Inherited Members

Public Slots inherited from AverageMenu
void | getOff ()
void | getHigh ()
void | getMedium ()
void | getLow ()
void | getOther (const QString &str)
Signals inherited from AverageMenu
void | whichTrigger (float alpha)

## Constructor & Destructor Documentation

## FFTAverageMenu()

FFTAverageMenu::FFTAverageMenu | ( | QWidget * | parent | ) |

inline

## ~FFTAverageMenu()

FFTAverageMenu::~FFTAverageMenu | ( |  | ) |

inline override

The documentation for this class was generated from the following file:

- form_menus.h